package com.tofly.ghrq_route.module.gps.domain;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * Created by Amu on 2017/3/15.
 */
@Entity(nameInDb = "DB_LAST_GPS_SAVED")
public class CheckGPSDataBean {
    /**
     * location_x : 1
     * location_y : 1
     * location_longitude : 1
     * location_latitude : 1
     * address : sample string 1
     * direction : 1
     * network : 1
     * gpstime : 2017-03-15T13:24:19.9756603+08:00
     * notes : sample string 2
     */

    @Id
    private String gps_id;
    private String lng;     //GPS经度[必填]
    private String lat;      //GPS纬度[必填]
    private String gpstime;             //GPSTIME[必填]
    private String check_time;             //本地时间[必填]
    private int gps_type;               //轨迹类型 0：人巡 1：车巡 [必填]
    private String carid;               //车巡时的车id
    private int isValid = 1;
    private long section = 1;              //分段，从1开始
    private long timespan = 0;              //单位毫秒,当前点如果与上一个点位置相同，则累计有效时间
    private int state = -1;             // 默认-1 。 0：该点没有计划点到位 1：有计划的点到位

    public String getGps_id() {
        return gps_id;
    }

    public void setGps_id(String gps_id) {
        this.gps_id = gps_id;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getGpstime() {
        return gpstime;
    }

    public void setGpstime(String gpstime) {
        this.gpstime = gpstime;
    }

    public String getCheck_time() {
        return check_time;
    }

    public void setCheck_time(String check_time) {
        this.check_time = check_time;
    }

    public int getGps_type() {
        return gps_type;
    }

    public void setGps_type(int gps_type) {
        this.gps_type = gps_type;
    }

    public String getCarid() {
        return carid;
    }

    public void setCarid(String carid) {
        this.carid = carid;
    }

    public long getSection() {
        return section;
    }

    public void setSection(long section) {
        this.section = section;
    }

    public int getIsValid() {
        return isValid;
    }

    public void setIsValid(int isValid) {
        this.isValid = isValid;
    }

    public long getTimespan() {
        return timespan;
    }

    public void setTimespan(long timespan) {
        this.timespan = timespan;
    }

    public int getState() {
        return this.state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public CheckGPSDataBean(GPSDataBean gpsData){
        this.gps_id = gpsData.getGps_id();
        this.lng = gpsData.getLng();
        this.lat = gpsData.getLat();
        this.gpstime = gpsData.getGpstime();
        this.check_time = gpsData.getCheck_time();
        this.gps_type = gpsData.getGps_type();               //轨迹类型 0：人巡 1：车巡 [必填]
        this.carid = gpsData.getCarid();               //车巡时的车id
        this.section = gpsData.getSection();              //分段，从1开始
        this.isValid = gpsData.getIsValid();
        this.state = gpsData.getState();
    }

    @Generated(hash = 752915180)
    public CheckGPSDataBean(String gps_id, String lng, String lat, String gpstime,
            String check_time, int gps_type, String carid, int isValid,
            long section, long timespan, int state) {
        this.gps_id = gps_id;
        this.lng = lng;
        this.lat = lat;
        this.gpstime = gpstime;
        this.check_time = check_time;
        this.gps_type = gps_type;
        this.carid = carid;
        this.isValid = isValid;
        this.section = section;
        this.timespan = timespan;
        this.state = state;
    }

    @Generated(hash = 1526370157)
    public CheckGPSDataBean() {
    }
}
